/*	Viewer.h
	Does viewing object stuff for Glover PSX
	By Chris Wilson, started on 2/12/98
*/

#ifndef _VIEWER_H_
#define _VIEWER_H_

#define NUM_VIEW 13

#define VD \
{"Ball\0",			GENERIC,	0,		"gball\0"},\
{"Glover\0",		GENERIC,	0,		"goodglov\0"},\
{"Bubble 1\0",		ATLANTIS,	BOSS,	"bubble1\0"},\
{"Bubble 2\0",		ATLANTIS,	BOSS,	"bubble2\0"},\
{"Cancer\0",		ATLANTIS,	BOSS,	"cancer\0"},\
{"Dibber\0",		ATLANTIS,	L2,		"dibber\0"},\
{"General Wu\0",	ATLANTIS,	L1,		"generalw\0"},\
{"Joff\0",			ATLANTIS,	BOSS,	"joff\0"},\
{"Kirk\0",			ATLANTIS,	BOSS,	"kirk\0"},\
{"Kirk 2\0",		ATLANTIS,	BOSS,	"kirk2\0"},\
{"Lionfish\0",		ATLANTIS,	L1,		"lionfish\0"},\
{"Mallet\0",		ATLANTIS,	L1,		"mallet\0"},\
{"Mallet2\0",		ATLANTIS,	L1,		"mallet2\0"}

typedef struct tagVIEWDATA
{
	char *sModelName;
	int	 level;
	int	 subLevel;
	char *sFileName;
}VIEWDATA;

void viewerInitialise(void);
void viewerFrame(void);

void actorInitialise(void);
void actorLoadModel(int, char *sPSA, char *sSEG);
int actorSetUp(int slot);
void actorDraw(int num);

#endif
